Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server
Interface UserIdentity.Scope

All Known Implementing Classes:
  ServletHolder

Enclosing interface:
  UserIdentity

    public static interface UserIdentity.Scope

A UserIdentity Scope. A scope is the environment in which a User Identity is to be interpreted. Typically it is set by the target servlet of a request.

Method Summary
`java.lang.String` | `getContextPath()`
`java.lang.String` | `getName()`
`java.util.Map<java.lang.String,java.lang.String>` | `getRoleRefMap()`

Method Detail

### getContextPath

    java.lang.String getContextPath()

  Returns:
    The context path that the identity is being considered within

### getName

    java.lang.String getName()

  Returns:
    The name of the identity context. Typically this is the servlet name.

### getRoleRefMap

    java.util.Map<java.lang.String,java.lang.String> getRoleRefMap()

  Returns:
    A map of role reference names that converts from names used by application code to names used by the context deployment.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.